Results 1 to 5 of 5

Thread: Flight Simulator Does Not Run

  1. Default Flight Simulator Does Not Run

    Hi Mates

    Does anyone know what's going on with Flight Simulator. I have FS Gold edition. I have a new Dell with Win 10. Game won't run on this computer in Win 10. Old PC was Win 7. Not great on there but would run.

    Does anyone have any suggestions?

    Many thanks and cheers

    ALS

  2. #2

    Default

    Did you try install it in C:/ or anywhere else apart from it's default Program Files?
    Did you try run in XP Compatibility Mode & as Administrator?
    Robin
    Cape Town, South Africa

  3. Default

    "will not run" is a bit vague. Explain everything more clearly.

  4. #4

    Default

    Quote Originally Posted by il88pp View Post
    "will not run" is a bit vague. Explain everything more clearly.
    Make sure C++ Redistributables are installed, and up to date.
    Just installing Windows 10 `fresh` can see many things missed.

  5. #5
    Join Date
    Jan 2012
    Location
    Pontefract, West Yorkshire, UK
    Posts
    1,340

    Default

    Hi,

    As pointed out by mallcott, there are a few essential libraries that FSX relies on but that are not included with Win 10.

    You can use Programs and Features to check if you have any of the following 'libraries' installed or, if you wish, simply download and install them - the installers will check for any previous install and will replace any missing/invalid/corrupt files or install the complete package as appropriate.

    Visual C++ Runtime Redistributable packs - specifically version 2005 and 2008 but I also recommend installing 2010 as well. You can find download links for earlier versions HERE.

    You will need to download the relevant 'bit' version for your OS (i.e. 32 or 64 bit). Click on the required link and a standard download option box will appear - DO NOT run the installer from this but select the Save As option and save the file to temp location. To install, right click on the file and select the Run as Administrator option. Install each package separately, starting with the oldest version, and reboot using the RESTART option between each install. The reboot is essential to allow the windows registry and important system files to be updated.

    .NET Framework - specifically versions 3.5 and 4 - download from HERE and HERE - download and install using the same procedure for the C++ files.

    Direct X (DX) - FSX requires version 9c, and although it is included on the installation disks, it is woefully out of date and incompatible with Win 10 (Win 10, depending on the build state source file, only ships with v10 or above). Again I suggest that you download and install the DX Redistributable pack from HERE, again using the download/install procedure stated above. The pack includes versions 9, 10 and 11 and the install process will only install missing versions and/or replace missing/corrupted/incompatible files of the versions it finds installed.

    It is worth pointing out that you can have multiple versions of these 'libraries' installed. They are not just required by FSX but are used by many programs and apps. They will work happily along side each other and a program or app will automatically use the most compatible version.
    Regards

    Brian

Similar Threads

  1. Flight simulator does not work with gpu
    By mitchellbrink81 in forum FSX
    Replies: 4
    Last Post: 01-07-2014, 04:51 PM
  2. Flight Unlimited 3 intro video does not run
    By Omar Ahmad in forum The Outer Marker
    Replies: 0
    Last Post: 08-27-2013, 09:31 AM
  3. Replies: 4
    Last Post: 10-21-2012, 01:28 PM
  4. Replies: 3
    Last Post: 09-20-2003, 02:20 PM
  5. Replies: 11
    Last Post: 04-11-2002, 07:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •